package com.hack23.cia.service.external.val.impl;

import java.util.List;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.hack23.cia.model.external.val.kommunvalkrets.impl.SwedenCountyData;
import com.hack23.cia.model.external.val.landstingvalkrets.impl.SwedenCountyElectoralRegion;
import com.hack23.cia.model.external.val.partier.impl.SwedenElectionType;
import com.hack23.cia.model.external.val.riksdagsvalkrets.impl.SwedenParliamentElectoralRegion;
import com.hack23.cia.service.external.val.api.ValApi;

public class ValApiTest extends AbstractValFunctionalIntegrationTest {

	@Autowired
	ValApi valApi;

	@Test
	public void testGetElectionTypes() throws Exception {
		List<SwedenElectionType> list = valApi.getElectionTypes();
		assertNotNull(list);
		assertEquals(5, list.size());

	}

	@Test
	public void testGetCountyElectoralRegions() throws Exception {
		List<SwedenCountyElectoralRegion> list = valApi.getCountyElectoralRegions();
		assertNotNull(list);
		assertEquals(20, list.size());
	}

	@Test
	public void testGetParliamentElectoralRegions() throws Exception {
		List<SwedenParliamentElectoralRegion> list = valApi.getParliamentElectoralRegions();
		assertNotNull(list);
		assertEquals(29, list.size());
	}

	@Test
	public void testGetCountyRegions() throws Exception {
		List<SwedenCountyData> list = valApi.getCountyRegions();
		assertNotNull(list);
		assertEquals(21, list.size());
	}


}
